Debian Bug report logs - #568652
should be in non-free: licence fails DFSG #6

version graph

Package: libmail-sender-perl; Maintainer for libmail-sender-perl is Erik Wenzel <erik@debian.org>; Source for libmail-sender-perl is src:libmail-sender-perl.

Reported by: Thorsten Glaser <tg@mirbsd.de>

Date: Sat, 6 Feb 2010 16:45:01 UTC

Severity: serious

Fixed in version libmail-sender-perl/0.8.16-2

Done: Erik Wenzel <erik@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tg@mirbsd.de, hanno@hboeck.de, Erik Wenzel <erik@debian.org>:
Bug#568652; Package libmail-sender-perl. (Sat, 06 Feb 2010 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
New Bug report received and forwarded. Copy sent to tg@mirbsd.de, hanno@hboeck.de, Erik Wenzel <erik@debian.org>. (Sat, 06 Feb 2010 16:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: should be in non-free: licence fails DFSG #6
Date: Sat, 06 Feb 2010 16:41:26 +0000
Package: libmail-sender-perl
Severity: serious

The file libmail-sender-perl-0.8.16/Sender.pm says (look
at the bottom) something other than the comment tag in its
header. Please clarify with upstream whether this should
be in non-free instead. The issue has been brought to our
attention by Hanno Böck (Gentoo) IRL at FOSDEM 2010, thanks!

┌──┤ excerpt from Sender.pm
│=head1 COPYRIGHT
│
│Copyright (c) 1997-2006 Jan Krynicky <Jenda@Krynicky.cz>. All rights reserved.
│
│This program is free software; you can redistribute it and/or
│modify it under the same terms as Perl itself. There is only one aditional condition, you may
│NOT use this module for SPAMing! NEVER! (see http://spam.abuse.net/ for definition)
│
│=cut
└──

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-6-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash due to #538822

Versions of packages libmail-sender-perl depends on:
ii  perl                          5.10.1-9   Larry Wall's Practical Extraction 

libmail-sender-perl recommends no packages.

libmail-sender-perl suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Erik Wenzel <erik@debian.org>:
Bug#568652; Package libmail-sender-perl. (Mon, 08 Feb 2010 21:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Wenzel <erik@code.de>:
Extra info received and forwarded to list. Copy sent to Erik Wenzel <erik@debian.org>. (Mon, 08 Feb 2010 21:03:04 GMT) Full text and rfc822 format available.

Message #10 received at 568652@bugs.debian.org (full text, mbox):

From: Erik Wenzel <erik@code.de>
To: Jan Krynicky <Jenda@Krynicky.cz>
Cc: 568652@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>, hanno@hboeck.de
Subject: Mail-Sender perl module license problem
Date: Mon, 8 Feb 2010 20:12:41 +0100
Hi Jan,

--- snip from README ---
[...]
Copyright (c) 1997-2003 Jan Krynicky <Jenda@Krynicky.cz>. All rights  
reserved.
This program is free software; you can redistribute it and/or modify  
it under
the same terms as Perl itself with only one exception, you are not  
allowed
to use the module for SPAM.
--- snip ---
or
--- snip sender.pm ---
There is only one aditional condition, you may NOT use this module for  
SPAMing! NEVER! (see http://spam.abuse.net/ for definition)
--- snip ---
The exception ›you are not allowed to use the module for SPAM‹ is the  
cause for Debian Bug568652[0]. Which lead to a package movement from  
main debian distribution to non-free package distribution.
And in consequence this leads to lesser usage by debian based  
distribution users. If that is what you want, ok. But in the end this  
is useless statement. Spammers don't care about licenses.
And if the unlikely will happen, that one spammer got caught, You'll  
not notice. And you will not sue him for breaking the license.

If you wanted to be humorous you cut your own flesh with that  
statement. Please support open source and free software and chose a  
one of the well known and verified licences.

Please remove that statement from copyright notice in any file.


[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=568652

-- 
Erik Wenzel <erik@debian.org>, xmpp: plopix@jabber.ccc.de/home
Debian Developer







Information forwarded to debian-bugs-dist@lists.debian.org, Erik Wenzel <erik@debian.org>:
Bug#568652; Package libmail-sender-perl. (Mon, 08 Feb 2010 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jenda Krynicky" <Jenda@Krynicky.cz>:
Extra info received and forwarded to list. Copy sent to Erik Wenzel <erik@debian.org>. (Mon, 08 Feb 2010 23:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 568652@bugs.debian.org (full text, mbox):

From: "Jenda Krynicky" <Jenda@Krynicky.cz>
To: 568652@bugs.debian.org, Erik Wenzel <erik@code.de>
Cc: Thorsten Glaser <tg@mirbsd.de>, hanno@hboeck.de
Subject: Re: Mail-Sender perl module license problem
Date: Mon, 08 Feb 2010 23:26:08 +0100
From:           	Erik Wenzel <erik@code.de>
> Hi Jan,
>
> --- snip from README ---
> [...]
> Copyright (c) 1997-2003 Jan Krynicky <Jenda@Krynicky.cz>. All rights
> reserved.
> This program is free software; you can redistribute it and/or modify
> it under
> the same terms as Perl itself with only one exception, you are not
> allowed
> to use the module for SPAM.
> --- snip ---
> or
> --- snip sender.pm ---
> There is only one aditional condition, you may NOT use this module for
> SPAMing! NEVER! (see http://spam.abuse.net/ for definition)
> --- snip ---
> The exception >you are not allowed to use the module for SPAM< is the
> cause for Debian Bug568652[0]. Which lead to a package movement from
> main debian distribution to non-free package distribution.
> And in consequence this leads to lesser usage by debian based
> distribution users. If that is what you want, ok. But in the end this
> is useless statement. Spammers don't care about licenses.
> And if the unlikely will happen, that one spammer got caught, You'll
> not notice. And you will not sue him for breaking the license.
>
> If you wanted to be humorous you cut your own flesh with that
> statement. Please support open source and free software and chose a
> one of the well known and verified licences.
>
> Please remove that statement from copyright notice in any file.

In the end the wording of such requests matters most. If you wanted
to be humorous, you failed.

Would your picky packager ignore the sentence if it was in a separate
paragraph?

Jenda

===== Jenda@Krynicky.cz === http://Jenda.Krynicky.cz =====
When it comes to wine, women and song, wizards are allowed
to get drunk and croon as much as they like.
	-- Terry Pratchett in Sourcery





Information forwarded to debian-bugs-dist@lists.debian.org, Erik Wenzel <erik@debian.org>:
Bug#568652; Package libmail-sender-perl. (Tue, 09 Feb 2010 11:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@debian.org>:
Extra info received and forwarded to list. Copy sent to Erik Wenzel <erik@debian.org>. (Tue, 09 Feb 2010 11:09:08 GMT) Full text and rfc822 format available.

Message #20 received at 568652@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@debian.org>
To: Jenda Krynicky <Jenda@Krynicky.cz>
Cc: 568652@bugs.debian.org, Erik Wenzel <erik@code.de>, hanno@hboeck.de
Subject: Re: Mail-Sender perl module license problem
Date: Tue, 9 Feb 2010 11:03:44 +0000 (UTC)
Jenda Krynicky dixit:

>> Please remove that statement from copyright notice in any file.
>
>In the end the wording of such requests matters most. If you wanted
>to be humorous, you failed.
>
>Would your picky packager ignore the sentence if it was in a separate
>paragraph?

No. This is not the issue at hand.

Either you permit people to use your module to send spam, or it
is non-free software (both in the Debian sense, as it fails DFSG
#6, and probably in other senses like OSI too) and will be removed
from Debian main. (If it will re-appear in Debian non-free is to
be discussed then.)

Erik: thanks for responding so fast.

bye,
//mirabilos
-- 
I believe no one can invent an algorithm. One just happens to hit upon it
when God enlightens him. Or only God invents algorithms, we merely copy them.
If you don't believe in God, just consider God as Nature if you won't deny
existence.		-- Coywolf Qi Hunt




Information forwarded to debian-bugs-dist@lists.debian.org, Erik Wenzel <erik@debian.org>:
Bug#568652; Package libmail-sender-perl. (Wed, 17 Feb 2010 00:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jenda Krynicky" <Jenda@Krynicky.cz>:
Extra info received and forwarded to list. Copy sent to Erik Wenzel <erik@debian.org>. (Wed, 17 Feb 2010 00:42:03 GMT) Full text and rfc822 format available.

Message #25 received at 568652@bugs.debian.org (full text, mbox):

From: "Jenda Krynicky" <Jenda@Krynicky.cz>
To: Thorsten Glaser <tg@debian.org>, 568652@bugs.debian.org, Erik Wenzel <erik@code.de>, hanno@hboeck.de
Subject: Re: Mail-Sender perl module license problem
Date: Wed, 17 Feb 2010 01:38:41 +0100
From: Thorsten Glaser <tg@debian.org>
> Jenda Krynicky dixit:
> 
> >> Please remove that statement from copyright notice in any file.
> >
> >In the end the wording of such requests matters most. If you wanted
> >to be humorous, you failed.
> >
> >Would your picky packager ignore the sentence if it was in a separate
> >paragraph?
> 
> No. This is not the issue at hand.
> 
> Either you permit people to use your module to send spam, or it
> is non-free software (both in the Debian sense, as it fails DFSG
> #6, and probably in other senses like OSI too) and will be removed
> from Debian main. (If it will re-appear in Debian non-free is to
> be discussed then.)

OK. Remove it.

I could not care less.

Jenda
===== Jenda@Krynicky.cz === http://Jenda.Krynicky.cz =====
When it comes to wine, women and song, wizards are allowed 
to get drunk and croon as much as they like.
	-- Terry Pratchett in Sourcery





Information forwarded to debian-bugs-dist@lists.debian.org, Erik Wenzel <erik@debian.org>:
Bug#568652; Package libmail-sender-perl. (Sat, 20 Feb 2010 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@43-1.org>:
Extra info received and forwarded to list. Copy sent to Erik Wenzel <erik@debian.org>. (Sat, 20 Feb 2010 06:33:03 GMT) Full text and rfc822 format available.

Message #30 received at 568652@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 568652@bugs.debian.org
Subject: Bug#568652: Remove from Debian instead of moving to non-free?
Date: Sat, 20 Feb 2010 15:27:39 +0900
Hi,

considering we have at least two other Perl modules (Email::Send and
Email::Sender) that allow sending multipart mails via SMTP and that
libmail-sender-perl has no reverse dependencies, what about removing the
package from Debian instead of moving it to non-free?

Regards,
Ansgar




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 20 Feb 2010 07:06:05 GMT) Full text and rfc822 format available.

Reply sent to Erik Wenzel <erik@debian.org>:
You have taken responsibility. (Sun, 21 Feb 2010 18:52:34 GMT) Full text and rfc822 format available.

Notification sent to Thorsten Glaser <tg@mirbsd.de>:
Bug acknowledged by developer. (Sun, 21 Feb 2010 18:52:34 GMT) Full text and rfc822 format available.

Message #37 received at 568652-close@bugs.debian.org (full text, mbox):

From: Erik Wenzel <erik@debian.org>
To: 568652-close@bugs.debian.org
Subject: Bug#568652: fixed in libmail-sender-perl 0.8.16-2
Date: Sun, 21 Feb 2010 18:51:20 +0000
Source: libmail-sender-perl
Source-Version: 0.8.16-2

We believe that the bug you reported is fixed in the latest version of
libmail-sender-perl, which is due to be installed in the Debian FTP archive:

libmail-sender-perl_0.8.16-2.diff.gz
  to non-free/libm/libmail-sender-perl/libmail-sender-perl_0.8.16-2.diff.gz
libmail-sender-perl_0.8.16-2.dsc
  to non-free/libm/libmail-sender-perl/libmail-sender-perl_0.8.16-2.dsc
libmail-sender-perl_0.8.16-2_all.deb
  to non-free/libm/libmail-sender-perl/libmail-sender-perl_0.8.16-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568652@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Erik Wenzel <erik@debian.org> (supplier of updated libmail-sender-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 19 Feb 2010 22:01:38 +0100
Source: libmail-sender-perl
Binary: libmail-sender-perl
Architecture: source all
Version: 0.8.16-2
Distribution: unstable
Urgency: low
Maintainer: Erik Wenzel <erik@debian.org>
Changed-By: Erik Wenzel <erik@debian.org>
Description: 
 libmail-sender-perl - Perl Module for sending mails with attachments
Closes: 568652
Changes: 
 libmail-sender-perl (0.8.16-2) unstable; urgency=low
 .
   * [641e3f27] updated upstream location
   * [83fe68b5] moved to non-free due to DSFG violation. (Closes:
     #568652)
   * [51b7008f] [control] added misc:depends
Checksums-Sha1: 
 5fbee725ecfba8117a12d06f62b3c75f9ce58643 1079 libmail-sender-perl_0.8.16-2.dsc
 45694364d8fab85a54cb12332afd035a8483d5d2 2416 libmail-sender-perl_0.8.16-2.diff.gz
 32e36f418222dc402f90052c4999dc395f7479c8 55178 libmail-sender-perl_0.8.16-2_all.deb
Checksums-Sha256: 
 0230ba3ad75baaca5894ab637cc36c10f78d873126cdff31cbf1bd831fce0843 1079 libmail-sender-perl_0.8.16-2.dsc
 e0366651f94e52ca1dcf3a30df47f4fa661ab851ab5445caf867a3da8aea5d38 2416 libmail-sender-perl_0.8.16-2.diff.gz
 c3b8eeb0c9bbad1d07828144e7739c0a034c7df00c77678955f6232b15ab5435 55178 libmail-sender-perl_0.8.16-2_all.deb
Files: 
 38997dc60dc62a68682e7c61a0884ea0 1079 non-free/perl optional libmail-sender-perl_0.8.16-2.dsc
 e108b13873034b2749f2ab164be6a149 2416 non-free/perl optional libmail-sender-perl_0.8.16-2.diff.gz
 dd97177ad61633ca5d731b36d38176c2 55178 non-free/perl optional libmail-sender-perl_0.8.16-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkt+/G8ACgkQmMmei9uJhBB5SACgySLdNjdD2dhHD/hS4BBzzYI6
8EsAoKYtSm5yH/HnshTwC2Na31ypYaKQ
=9yCc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:11:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:57:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.